Spotify

Get Spotify album

Get a Spotify album by id or album URL.

GET/v1/spotify/album
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
2
albumIdstringquery

Optional Spotify album id for the request.

min 1 chars · max 128 chars

urlstringquery

Optional Spotify album URL for the request.

min 1 chars · max 4096 chars

Response fields
40

Endpoint-specific response payload.

datalookupStatus
string

Whether the album was found.

one of: found, not_found

Album details when available.

dataalbumplatform
string

Platform for this album.

one of: spotify

dataalbumalbumId
string

Stable Spotify album identifier.

min 1 chars

dataalbumtitle
string

Album title.

min 1 chars

dataalbumalbumType
string

Release type (album, single, compilation, etc.).

one of: album, single, compilation, ep, unknown

dataalbumlabel
stringnullable

Record label when available.

dataalbumreleaseDate
string

Release date as an ISO 8601 string when available.

min 1 chars

dataalbumreleaseDatePrecision
stringoptional

Precision of the release date when available.

one of: day, month, year

dataalbumcoverArtUrl
stringnullable

Best available square cover image URL when available.

dataalbumalbumUrl
string

Canonical public Spotify album URL.

min 1 chars

dataalbumplayable
boolean

Whether the album is playable on Spotify.

dataalbumisPreRelease
booleanoptional

Whether the album is marked as a pre-release.

Copyright lines when available.

dataalbumcopyright[]text
string

Copyright notice text.

min 1 chars

dataalbumcopyright[]type
string

Copyright type code.

min 1 chars

Album artists when available.

dataalbumartists[]artistId
string

Spotify artist id.

min 1 chars

dataalbumartists[]displayName
string

Artist display name on this album.

min 1 chars

dataalbumartists[]profileUrl
string

Canonical public Spotify artist profile URL.

min 1 chars

dataalbumartists[]avatarUrl
stringnullableoptional

Best available square avatar image URL when available.

dataalbumtrackCount
integer

Number of tracks on the album.

≥ 0

Album tracks in track order.

dataalbumtracks[]trackId
string

Stable Spotify track identifier.

min 1 chars

dataalbumtracks[]title
string

Track title.

min 1 chars

dataalbumtracks[]trackNumber
integer

Track number on the disc.

≥ 0

dataalbumtracks[]discNumber
integer

Disc number for this track.

≥ 0

dataalbumtracks[]durationMs
integer

Track duration in milliseconds.

≥ 0

dataalbumtracks[]explicit
boolean

Whether the track is marked explicit.

dataalbumtracks[]playCount
integeroptional

Reported play count when available.

≥ 0

Artists credited on this track.

dataalbumtracks[]artists[]artistId
string

Spotify artist id for this track.

min 1 chars

dataalbumtracks[]artists[]displayName
string

Artist display name on this track.

min 1 chars

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

metastale
booleanoptional

Present, and `true`, only when the source couldn't be reached and this is the last good answer for the same request instead, up to 24 hours old. Absent on every live answer.

one of: true

metafetchedAt
stringoptional

When a stale answer (`stale: true`) was originally fetched (ISO 8601, UTC). Absent on every live answer.

Code example

curl "https://api.socialfetch.dev/v1/spotify/album?albumId=0pgrg7phBbnwGJ2HBEl9EG" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Album lookup result.